<div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="ui-g-12">
            <h3> Filter </h3>
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true">
                        </p-autoComplete>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                            (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                            [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                            (onSelect)="selectSupplier(true)" [dropdown]="true">
                        </p-autoComplete>
                    </div>
                </div>
                <button class="btn-info" (click)="loadAll()"><span class="fa fa-search"> Filter </span></button>
                <button class="btn-info" (click)="Reset()"><span class="fa fa-search">Reset Filter </span></button>
            </div>
        </div>
    </div>
    <p-dataTable [value]="payments" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpay" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
            <div class="col-sm-12">
                <!-- <div class="row"> -->
                <form name="searchForm">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.payment.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
                <!-- </div> -->
            </div>
            <br>
            <!-- <div class="row"> -->
            <div class="col-sm-12" *ngIf="idstatus == 11">
                <button class="btn btn-success float-left" (click)="terimaACC()" [disabled]="selected.length === 0">
                    <span class="fa fa-cog"></span>
                    <span class="hidden-sm-down">
                        Terima
                    </span>
                </button>
            </div>
            <!-- </div> -->
            <div class="row">
                <div class="col-sm-12" *ngIf="idstatus == 58">
                    <button class="btn btn-success float-left" (click)="requestAPP()"
                        [disabled]="selected.length === 0">
                        <span class="fa fa-cog"></span>
                        <span class="hidden-sm-down">
                            Request Approve
                        </span>
                    </button>
                </div>
            </div>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>

        <p-column header="Nomor Invoice">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.invno}}
            </ng-template>
        </p-column>

        <p-column header="Nomor Faktur">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.invtaxno}}
            </ng-template>
        </p-column>

        <p-column header="Dibayar Kepada">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.paytoname}}
            </ng-template>
        </p-column>
        <p-column header="Jumlah Bayar">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.totalpay | number:'1.0-2' }}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Buat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Serah ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtregacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Serah FIN">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtfin | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima FIN">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtregfin | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Bayar">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtpay | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Release">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtrelease | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-12">
                    <div *ngIf="rowData.ishold != 1">
                        <button pButton type="button" [routerLink]="['../payment-edit/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" icon="fa-print" class="flat-button" pTooltip="Cetak Payment"
                            (click)="print(rowData)" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <div *ngIf="rowData.statustype === 58">
                            <button pButton type="button" icon="fa fa-share" class="flat-button"
                                (click)="reqapp(rowData)" pTooltip="Request Approve">
                            </button>
                        </div>
                    </div>
                    <div *ngIf="rowData.ishold != 1">
                        <button pButton type="button" icon="fa fa-lock" class="flat-button" (click)="holdPay(rowData)"
                            pTooltip="Hold Payment">
                        </button>
                    </div>
                    <div *ngIf="rowData.ishold == 1 && currentAccount.login == rowData.userhold">
                        <button pButton type="button" icon="fa fa-unlock" class="flat-button"
                            (click)="unHoldPay(rowData)" pTooltip="unHold Payment">
                        </button>
                    </div>
                    <div *ngIf="rowData.ishold == 1">
                        <button pButton type="button" icon="fa fa-bookmark" class="flat-button"
                            (click)="showHoldPay(rowData)" pTooltip="Catatan unHold Payment">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn == 'CN' && idstatus === 58">
                        <button pButton type="button" icon="fa fa-check-square-o" class="flat-button" pTooltip="Bayar"
                            [routerLink]="['../tanda-terima-bayar/' + rowData.idreceipt + '/false']">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn == 'CN' && idstatus === 101">
                        <button pButton type="button" icon="fa fa-check-square-o" class="flat-button" pTooltip="Lihat Detail Bayar"
                            [routerLink]="['../tanda-terima-bayar/' + rowData.idreceipt + '/true']">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn == 'CN' && idstatus === 101">
                        <button pButton type="button" icon="fa fa-times" class="flat-button" pTooltip="Revert Payment CN"
                            (click)="reversePayment1(rowData)">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn == 'CN' && idstatus === 101">
                        <button pButton type="button" icon="fa fa-ban" class="flat-button" pTooltip="Cancel Payment"
                            (click)="cancelPay(rowData)">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn != 'CN' && rowData.dtpay === null && idstatus !== 101">
                        <button pButton type="button" icon="fa fa-times" class="flat-button" pTooltip="Revert Payment"
                            (click)="reversePayment(rowData)">
                        </button>
                    </div>
                    <div *ngIf="rowData.is_cn == 'CN' && rowData.dtpay === null && idstatus !== 101">
                        <button pButton type="button" icon="fa fa-times" class="flat-button" pTooltip="Revert Payment"
                            (click)="reversePayment(rowData)">
                        </button>
                    </div>
                    <!-- <div *ngIf="rowData.is_cn != 'CN' && rowData.dtpay !== null">
                        <button pButton type="button" icon="fa fa-times" class="flat-button" pTooltip="Revert Payment"
                            (click)="reverseBayarPayment(rowData)">
                        </button>
                    </div> -->
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-dialog header="Catatan" [(visible)]="newModalNote" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="modalholdPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="notehold">
            </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalCancelNote" modal="true" [width]="700">
    <form name="cancelNotesForm" role="form" novalidate (ngSubmit)="modalCacelPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="cancelNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="cancelNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalReverseNote" modal="true" [width]="700">
    <form name="reverseNotesForm" role="form" novalidate (ngSubmit)="modalReversePay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="ReverseNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ReverseNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<!-- <p-dialog header="Catatan" [(visible)]="newModalReverseBayarNote" modal="true" [width]="700">
    <form name="reverseNotesForm" role="form" novalidate (ngSubmit)="modalReverseBayarPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="ReverseBayarNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ReverseBayarNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog> -->
<p-dialog header="Catatan" [(visible)]="newModalReverseCNNote" modal="true" [width]="700">
    <form name="reverseNotesForm" role="form" novalidate (ngSubmit)="modalReverseCNPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="ReverseCNNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ReverseCNNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<!-- <p-confirmDialog></p-confirmDialog> -->